# PluginCodec_Definition Struct Reference

`#include <opalplugin.h>`

Collaboration diagram for PluginCodec_Definition:

[legend]

## Data Fields

unsigned int | version
PluginCodec_information * | info
unsigned int | flags
const char * | descr
const char * | sourceFormat
const char * | destFormat
const void * | userData
unsigned int | sampleRate
unsigned int | bitsPerSec
unsigned int | usPerFrame
PluginCodec_Definition::_parm | parm
unsigned char | rtpPayload
const char * | sdpFormat
void *(* | createCodec )(const struct PluginCodec_Definition *codec)
void(* | destroyCodec )(const struct PluginCodec_Definition *codec, void *context)
int(* | codecFunction )(const struct PluginCodec_Definition *codec, void *context, const void *from, unsigned *fromLen, void *to, unsigned *toLen, unsigned int *flag)
PluginCodec_ControlDefn * | codecControls
unsigned char | h323CapabilityType
const void * | h323CapabilityData

## Data Structures

union | _parm

## Field Documentation

unsigned int PluginCodec_Definition::bitsPerSec

struct PluginCodec_ControlDefn* PluginCodec_Definition::codecControls

int(* PluginCodec_Definition::codecFunction)(const struct PluginCodec_Definition *codec, void *context,const void *from, unsigned *fromLen, void *to, unsigned *toLen, unsigned int *flag)

void*(* PluginCodec_Definition::createCodec)(const struct PluginCodec_Definition *codec)

const char* PluginCodec_Definition::descr

const char* PluginCodec_Definition::destFormat

void(* PluginCodec_Definition::destroyCodec)(const struct PluginCodec_Definition *codec, void *context)

unsigned int PluginCodec_Definition::flags

const void* PluginCodec_Definition::h323CapabilityData

unsigned char PluginCodec_Definition::h323CapabilityType

struct PluginCodec_information* PluginCodec_Definition::info

union PluginCodec_Definition::_parm PluginCodec_Definition::parm

unsigned char PluginCodec_Definition::rtpPayload

unsigned int PluginCodec_Definition::sampleRate

const char* PluginCodec_Definition::sdpFormat

const char* PluginCodec_Definition::sourceFormat

const void* PluginCodec_Definition::userData

unsigned int PluginCodec_Definition::usPerFrame

unsigned int PluginCodec_Definition::version

The documentation for this struct was generated from the following file:

- opalplugin.h